<script setup lang="ts">
import WorkflowList from "~/components/WorkflowList.vue"

const router = useRouter()
const id = router.currentRoute.value.params.id as string
</script>

<template>
  <div class="flex flex-1 flex-col bg-white">
    <div
      class="sticky z-10 top-0 flex flex-row justify-between items-center p-4 md:p-6 border-b bg-[#FFF] border-[#E6E6E5]"
    >
      <div class="flex flex-1 items-center gap-4">
        <div
          class="flex py-2 cursor-pointer"
          @click="router.push({ name: 'automations' })"
        >
          <div
            i="carbon-arrow-left"
            class="scale-120"
          />
        </div>
        <div class="flex gap-2 text-[#19181E] text-sm" />
      </div>
    </div>
    <div
      class="flex flex-col gap-4 p-4 w-full"
    >
      <WorkflowList :id="id" />
    </div>
  </div>
</template>

<route lang="yaml">
meta:
  layout: home
  requiresAuth: true
</route>
